.container {
    display: flex;
    justify-content: center;
}
.block {
    height: 100px;
    width: 100px;
    background-color: purple;
    padding: 30px;
    margin-right: 10px;
    color: #fff;
    text-align: center;
    font-size: 26px;
}
.block:nth-child(1) {
    order: 3;
}
.block:nth-child(2) {
    order: 1;
}
.block:nth-child(3) {
    order: 4;
}
.block:nth-child(4) {
    order: 2;
}